tigase.jaxmpp.core.client.xmpp.modules.muc

## Interface MucModule.StateChangeHandler

- All Superinterfaces:
    EventHandler
  Enclosing class:
    MucModule

      public static interface MucModule.StateChangeHandler
      extends EventHandler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `MucModule.StateChangeHandler.StateChangeEvent`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onStateChange(SessionObject sessionObject, Room room, Room.State oldState, Room.State newState)`

- - ### Method Detail

    - #### onStateChange

          void onStateChange(SessionObject sessionObject,
                             Room room,
                             Room.State oldState,
                             Room.State newState)

Copyright © 2006–2020 Tigase. All rights reserved.